package cn.com.poc.thirdparty.resource.demand.ai.entity.knowledge;

import cn.com.poc.thirdparty.resource.demand.ai.entity.qaknowledge.QAKnowledgeConfig;
import cn.com.poc.thirdparty.resource.demand.dgTools.request.AbstractRequest;

import java.io.Serializable;
import java.util.List;

public class TrainKnowledgeRequest extends AbstractRequest<TrainKnowledgeResult> implements Serializable {

    private String documentUrl;

    private String knowledgeType;
    private SegmentationConfigRequest segmentationConfig;


    private List<QAKnowledgeConfig> qaKnowledgeConfigs;

    public SegmentationConfigRequest getSegmentationConfig() {
        return segmentationConfig;
    }

    public void setSegmentationConfig(SegmentationConfigRequest segmentationConfig) {
        this.segmentationConfig = segmentationConfig;
    }

    public String getDocumentUrl() {
        return documentUrl;
    }

    public void setDocumentUrl(String documentUrl) {
        this.documentUrl = documentUrl;
    }

    public String getKnowledgeType() {
        return knowledgeType;
    }

    public void setKnowledgeType(String knowledgeType) {
        this.knowledgeType = knowledgeType;
    }

    public List<QAKnowledgeConfig> getQaKnowledgeConfigs() {
        return qaKnowledgeConfigs;
    }

    public void setQaKnowledgeConfigs(List<QAKnowledgeConfig> qaKnowledgeConfigs) {
        this.qaKnowledgeConfigs = qaKnowledgeConfigs;
    }

    @Override
    public String getMethod() throws Exception {
        return null;
    }
}
